Subject: Re: [PATCH 3/3] tag: support configuring --sort via .gitconfig

From: Junio C Hamano <[email-masked]>
Date: Sun, 13 Jul 2014 10:10:27 -0700

Eric Sunshine <[email-masked]> writes:

>> Made parse_sort_string take a "var" parameter, and if given will only warn
>> about invalid parameter, instead of error.
>
> This seems unnecessarily ugly since it's hard-coding specialized
> knowledge of the callers' error-reporting requirements into what
> should be a generalized parsing function. If you instead make
> parse_sort_string() responsible only for attempting to parse the
> value, but leave error-reporting to the callers, then this ugliness
> goes away. See below.

Yup, you are absolutely right.  Thanks for catching my silly.